- ```直播-Lecture```: 核心的知识点
- ```直播-Discussion```: 代码实战、复习课、论文讲解、主题分享等

|    日期  |    主题  |   知识点详情 | 课件  |  相关阅读  |   其 他 | 作业 |
|---------|---------|---------|---------|---------|---------|---------|
| PART 0  前期基础复习（机器学习与凸优化）|

| TBD | （直播-Lecture）算法复杂度，动态规划，DTW | 时间/空间复杂度的分析、Master's Theorem（主定理）, 递归程序的时间复杂度与空间复杂度、动态规划算法介绍、编辑距离的计算、DTW的技术与应用，Hamming Distance以及Semantic Hashing | | [[博客]十分钟搞定时间复杂度](https://www.jianshu.com/p/f4cca5ce055a)<br/>[[博客] Dynamic Programming – Edit Distance Problem](https://algorithms.tutorialhorizon.com/dynamic-programming-edit-distance-problem/)<br/>[[材料]Master's Theorem](http://people.csail.mit.edu/thies/6.046-web/master.pdf)<br/>[Introduction to Algorithm (MIT Press)](http://ressources.unisciel.fr/algoprog/s00aaroot/aa00module1/res/%5BCormen-AL2011%5DIntroduction_To_Algorithms-A3.pdf)<br/>|||
| TBD |  (直播-Discussion) 经典数据结构与算法 |Divide and Conquer技术以及应用|||||
| TBD |  (直播-Discussion) 经典数据结构与算法 |哈希表，搜索树，堆（优先堆）|||||
| TBD |（直播-Lecture）逻辑回归与正则|逻辑回归模型，GD, SGD，Distributed SGD, 过拟合与正则, L1,L2, LASSO, Ridge Regression, Hyperparameter Tuning(Grid Search/Heuristic Search), ElasticNet||[Matrix Cookbook](https://www.math.uwaterloo.ca/~hwolkowi/matrixcookbook.pdf)<br/>[ElasticNet](https://web.stanford.edu/~hastie/Papers/elasticnet.pdf)<br/>|||
| TBD | (直播-Discussion) 机器学习回顾（1） | 决策树，随机森林 |||||
| TBD | (直播-Paper) 第一篇论文讲解 ||||||
| TBD | (直播-Lecture) XGBoost | XGBoost核心算法讲解||||
| TBD | (直播-Discussion）Ensemble模型实战|GBDT, XGBoost, LightGBM|||||
| TBD | (直播-Paper）|第二篇论文讲解|||||
| TBD  | (直播-Lecture) 凸优化（1）| 凸集，凸函数、判定凸函数、LP Problem, QP Problem, 非凸函数问题||||
| TBD | (直播-Discussion) 机器学习回顾(2） | Linear SVM讲解 |||||
| TBD | (直播-Discussion) 生活中的优化问题 | 案例讲解 |||||
| TBD  | (直播-Lecture) 凸优化（2）| Lagrangian Duality, KKT条件，Complementary Slackness, Non-linear SVM||||
| TBD | (直播-Discussion) Duality | LP以及它的Dual, QP以及它的Dual |||||
| TBD | (直播-Discussion) Kernels | 核函数、Mercer's Theorem |||||
| PART 1  自然语言处理基础|
